> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Offline Payment

PUT https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/{paymentId}
Content-Type: application/json

Update offline payment

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/invoice-management/payments/put-payments-offline-payment-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `paymentId` (double, required) — Payment ID

### Body (application/json)

This endpoint expects an object.

- `lineItems` (list of PaymentsOfflinePaymentIdPutRequestBodyContentApplicationJsonSchemaLineItemsItems, required)
- `currency` (string, required)
- `details` (PaymentsOfflinePaymentIdPutRequestBodyContentApplicationJsonSchemaDetails, required)
- `customerId` (string, required) — B2B Edition Company ID
- `externalId` (string, optional)
- `externalCustomerId` (string, optional)
- `payerName` (string, optional, default: Store offline payment) — Default is "Store Offline Payment " if no value is passed in.
- `payerCustomerId` (string, optional) — The default is the same as the customerId.
- `processingStatus` (enum, optional, default: 3)
  - Allowed values: `1`, `2`, `3`, `4`
- `fundingStatus` (enum, optional, default: 2)
  - Allowed values: `0`, `1`, `2`, `3`

## Response

### 200

OK

- `code` (double, required)
- `data` (PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaData, required)
- `meta` (PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaMeta, required)

## Errors

### 422 Unprocessable Entity Error

Example response

- `code` (double, required)
- `meta` (PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaMeta, required)
- `data` (PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaData, required)

## Types

### PaymentsOfflinePaymentIdPutRequestBodyContentApplicationJsonSchemaLineItemsItems

- `invoiceId` (double, required)
- `amount` (string, required)

### PaymentsOfflinePaymentIdPutRequestBodyContentApplicationJsonSchemaDetails

- `memo` (string, optional)

### PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional)

### PaymentsOfflinePaymentIdPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, required)

## Examples

**Request**

```json
{
  "lineItems": [
    {
      "invoiceId": 13,
      "amount": "20.00"
    }
  ],
  "currency": "USD",
  "details": {
    "memo": "Test"
  },
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": 2
}
```

**Response**

```json
{
  "code": 200,
  "data": {
    "paymentId": 112
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Update offline payment
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1"

payload = {
    "lineItems": [
        {
            "invoiceId": 13,
            "amount": "20.00"
        }
    ],
    "currency": "USD",
    "details": { "memo": "Test" },
    "customerId": "113",
    "payerName": "Store offline payment",
    "payerCustomerId": "113",
    "processingStatus": 3,
    "fundingStatus": 2
}
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update offline payment
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"lineItems":[{"invoiceId":13,"amount":"20.00"}],"currency":"USD","details":{"memo":"Test"},"customerId":"113","payerName":"Store offline payment","payerCustomerId":"113","processingStatus":3,"fundingStatus":2}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update offline payment
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1"

	payload := strings.NewReader("{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": 2\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update offline payment
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": 2\n}"

response = http.request(request)
puts response.read_body
```

```java Update offline payment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": 2\n}")
  .asString();
```

```php Update offline payment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1', [
  'body' => '{
  "lineItems": [
    {
      "invoiceId": 13,
      "amount": "20.00"
    }
  ],
  "currency": "USD",
  "details": {
    "memo": "Test"
  },
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": 2
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update offline payment
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"lineItems\": [\n    {\n      \"invoiceId\": 13,\n      \"amount\": \"20.00\"\n    }\n  ],\n  \"currency\": \"USD\",\n  \"details\": {\n    \"memo\": \"Test\"\n  },\n  \"customerId\": \"113\",\n  \"payerName\": \"Store offline payment\",\n  \"payerCustomerId\": \"113\",\n  \"processingStatus\": 3,\n  \"fundingStatus\": 2\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update offline payment
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "lineItems": [
    [
      "invoiceId": 13,
      "amount": "20.00"
    ]
  ],
  "currency": "USD",
  "details": ["memo": "Test"],
  "customerId": "113",
  "payerName": "Store offline payment",
  "payerCustomerId": "113",
  "processingStatus": 3,
  "fundingStatus": 2
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/ip/payments/offline/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```